# To avoid out of memory error
%define _build_pkgcheck_set %{nil}

%define debug_package %{nil}

%define _skypedir /opt/ghetto-skype

%define __noautoreqfiles /opt/ghetto-skype/resources
%define __noautoreq 'libffmpeg.so*|libnode.so*'

%define git 20171130

Summary:	Web Skype + Tray Icon + Notifications
Name:		ghetto-skype
Version:	1.5.0
Release:	1.%{git}.1
License:	GPLv3+
Group:		Networking/Instant messaging
Url:		https://github.com/stanfieldr/ghetto-skype
# git snapshot
Source0:	%{name}-%{version}-%{git}.tar.bz2
BuildRequires:	git
BuildRequires:	graphicsmagick
BuildRequires:	libicns-utils
BuildRequires:	nodejs
BuildRequires:	giflib-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xkbfile)
AutoProv:	no

%description
Ghetto Skype is an electron client that uses Web Skype to better integrate
with desktop environments found on Linux.

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_skypedir}/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-%{git}

%build
npm install
#npm run dist

%ifarch x86_64
%define linuxunpacked dist/linux-unpacked
node_modules/.bin/build -l tar.gz --x64
%else
%define linuxunpacked dist/linux-ia32-unpacked
node_modules/.bin/build -l tar.gz --ia32
%endif

%install
mkdir -p %{buildroot}%{_skypedir}
cp -a %{linuxunpacked}/* %{buildroot}%{_skypedir}/

# install binary wrapper
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
pushd %{_skypedir}
./ghetto-skype
popd
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Ghetto Skype
Comment=An electron client that uses Web Skype
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Network;InstantMessaging;
EOF

# install menu icons
icns2png -x build/icon.icns
for N in 16 32 48 128 256 512;
do
install -D -m 0644 icon_${N}x${N}x32.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done


%changelog

* Tue Dec 05 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.5.0-1.20171130.1
- (5455eb7) Require jpeg-devel because pkgconfig(libturbojpeg) is not provided in rosa2014.1


